Runtime

## org.eclipse.gmf.runtime.diagram.ui.printing.render.actions
Class RenderedPrintPreviewAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.gmf.runtime.diagram.ui.printing.actions.PrintPreviewAction
                      org.eclipse.gmf.runtime.diagram.ui.printing.render.actions.RenderedPrintPreviewAction

All Implemented Interfaces:
  IAction

public class RenderedPrintPreviewAction
extends PrintPreviewAction

This is the action for rendered print preview. It opens a dialog showing how the diagram will look when printed. The `PrintPreviewHelper` passed into the constructor does the actual work of the print preview. The `IPrintActionHelper` passed into the constructor does the actual work of showing the print settings dialog and doing the print if the user were to initiate a print from within the print preview dialog.

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.printing.actions.PrintPreviewAction
`ID`

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`RenderedPrintPreviewAction(IPrintActionHelper printActionHelper)` Creates a new instance.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.printing.actions.PrintPreviewAction
`isEnabled, run, setPrintActionHelper, setPrintPreviewHelper`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### RenderedPrintPreviewAction

    public RenderedPrintPreviewAction(IPrintActionHelper printActionHelper)

  Creates a new instance.

Parameters:
  `printActionHelper` - the helper class used to show the print settings dialog and perform the actual printing if the user were to print from within the print preview dialog.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.